// Originally taken from http://thefinishedbox.com/freebies/scripts/jquery-dropdown-gui-menu

calculate_css = function(menu) {
    var top = menu.parent().position().top + menu.parent().height();
    // if the menu exceeds the window boundaries, open it towards top
    if (menu.parent().offset().top + menu.parent().height() + menu.height() > $(window).height() + $(window).scrollTop()) {
        top = menu.parent().position().top - menu.height();
    }
    menu.css("top", top).css("width", Math.max(150, menu.parent().width() - 2));
}

init_actions_menu = function() {

    $('body').on('click', '.actions-button', function(e) {
        var button = $(this);
        var menu = button.next();
        e.preventDefault();
        e.stopPropagation();
        if (menu.is(':visible')) {
            menu.hide();
            $('.ar', button).html('&#9660;').css({top: '5px'});
            button.removeClass('active');
        }
        else {
            $('.active').trigger('click');
            menu.show();
            $('.ar', button).html('&#9650;').css({top: '3px'});
            button.addClass('active');
            calculate_css(menu);
        };
    });

    // Close any active action menus on click
    $('html').click(function() {
        $('.active').trigger('click');
    });

}