# http://fedoraproject.org/wiki/Packaging:ScriptletSnippets
# runs after files of the new package are in place
# the %pre script prepared us for upgrade already
#           install  upgrade  uninstall
#  %post    $1 == 1 $1 == 2 (N/A)

{% include 'header.bash' %}

# start
execute pushd .
execute cd %{prefix}

echo "Adding infinidat.odm..."
execute odmadd infinidat.odm
echo "Applying the new attributes for the boot processes with bosboot..."
PRIMARY_HDISK=$(lsvg -M rootvg | grep ":" | awk -F: '{print $1} ' | uniq)
execute bosboot -M primary -ad $PRIMARY_HDISK

#end
execute popd
exit 0
