
# pylint: disable-all

def setUp():
    from infi.vendata.smock import HostMock
    mock = HostMock()
    inventory = mock.get_inventory()
    inventory.add_initiator(), inventory.add_initiator()
    system = inventory.add_infinibox(10)
    system.pools.create()
    system.pools.create()
    inventory.zone_with_system__best_practices(system)
    inventory.register_host_in_system(system)
    return mock
