
# pylint: disable-all

def setUp():
    from infi.vendata.smock import HostMock
    from infi.dtypes.wwn import WWN
    mock = HostMock()
    inventory = mock.get_inventory()
    initiator = inventory.add_initiator()
    inventory.add_initiator()
    system = inventory.add_infinibox(10)
    system.pools.create()
    node = list(system.components.nodes)[0]
    target = WWN(node.get_fc_ports()[0].get_wwpn())
    inventory.create_zone_map([initiator, ], [target, ])
    inventory.register_host_in_system(system)
    return mock
