
# pylint: disable-all

def setUp():
    from infi.vendata.smock import HostMock
    from capacity import TiB
    mock = HostMock()
    inventory = mock.get_inventory()
    inventory.add_initiator(), inventory.add_initiator()
    for index in range(3):
        system = inventory.add_infinibox(10 + index)
        system.pools.create(name="default", physical_capacity=100 * TiB, virtual_capacity=100 * TiB)
        inventory.zone_with_system__best_practices(system)
        inventory.register_host_in_system(system)
    return mock
