from .logging import debug_program
from .tasks import make_blocking
from logging import getLogger
from infi.vendata.powertools.gui.scripts import with_gevent_patching
logger = getLogger(__name__)


class Task(object):
    def __init__(self, args=None):
        self.args = args or tuple()

    def run(self):
        logger.info("foo bar")


@debug_program()
def cli():
    task = Task()
    make_blocking(task)
    task.run()


@debug_program()
@with_gevent_patching
def gui():
    task = Task()
    make_blocking(task)
    task.run()
