
from . import QRCodePool
import sys

def qrcode_add(argv=sys.argv[1:]):
    if not argv:
        print "Usage: qrcode_add <url>"
        return
    key = argv[0]
    pool = QRCodePool()
    pool.add(key)
    pool.save()

def qrcode_get(argv=sys.argv[1:]):
    pool = QRCodePool()
    if argv:
        key = argv[0]
        print pool.get(key)
    else:
        for key in pool.get_keys():
            print key

def qrcode_update_all(argv=sys.argv[1:]):
    pool = QRCodePool()
    pool.update_all()
    pool.save()
