var confirmElement = ' \
    <div id="confirm-modal" class="modal">\
        <table id="confirm-modal-inner-table">\
            <tr>\
                <td id="confirm-modal-body-icon"><img src="/static/images/err_icon.png"></td>\
                <td><div class="confirm-modal-inner-text" id="confirm-modal-body-message"></div>\
                    <div class="confirm-modal-inner-text" id="confirm-modal-body-description"></div></td>\
            </tr>\
        </table>\
    </div>';

show_areyousure = function(title, message, description, button_text, callback) {
    var elem = $('#confirm-modal');
    if (!elem.length) elem = confirmElement;
    $(elem).dialog({
        title: title,
        modal: true,
        width: 540,
        buttons: [
            {
                text: button_text,
                click: function(event) {
                    $(this).dialog("close");
                    if (callback) callback();
                }
            },
            {
                text: "CANCEL",
                click: function() {
                    $(this).dialog("close");
                }
            }
        ]
    });
    $("#confirm-modal-body-message").html(message);
    $("#confirm-modal-body-description").html(description);
}