var errorElement = ' \
    <div id="error-modal" class="modal">\
        <div class="modal-inner-table" id="error-modal-inner-table">\
            <img id="error-modal-body-icon" src="/static/images/err_icon.png" />\
            <div class="error-modal-inner-text" id="error-modal-body-error-message"></div>\
            <div class="error-modal-inner-text" id="error-modal-body-description"></div>\
        </div>\
    </div>';

showError = function(title, message, description, callback) {
    var elem = $('#error-modal');
    $.unblockUI({fadeOut: 0});
    if (!elem.length) elem = errorElement;
    $(elem).dialog({
        title: title,
        modal: true,
        width: 540,
        height: 230,
        buttons: {
            OK: function() {
                jQuery(this).dialog("close");
                if (callback) callback();
            }
        },
        close: function() {
            jQuery(this).dialog("destroy");
        }
    });
    jQuery("#error-modal-body-error-message").html(message);
    jQuery("#error-modal-body-description").html(description);
}
