        % if not infiniboxes:
            <div class="no-infiniboxes">No InfiniBoxes detected</div>
        % else:
            % for infinibox in infiniboxes:
                <div class="infinibox root" id="infinibox-${infinibox.serial}" data-name="${infinibox.name}" data-serial="${infinibox.serial}">
                    <div class="infinibox information">
                        <span class="infinibox-icon"><img src="/static/images/icon-ibox.png" width="62" height="113"></span>
                        <span class="infinibox-details">
                            <div class="infinibox-name"><a target="_blank" href="${infinibox.gui}">${infinibox.name}</a></div>
                            <div class="infinibox-serial">S/N ${infinibox.serial}</div>
                            % if infinibox.supported:
                                <span class="infinibox-user"><img src="/static/images/user.gif">
                                    <span class="infinibox-username">
                                        % if infinibox.username:
                                            ${infinibox.username}
                                        % else:
                                            No credentials set
                                        % endif
                                    </span>
                                    <span class="infinibox-user-change">(<a href="#" class="set-credentials">change</a>)</span>
                                </span>
                            % endif
                            <div class="infinibox-details-last-line">
                                <span class="infinibox-version">v${infinibox.version}</span>
                                <img class="action-separator" src="/static/images/action-separator.png" />
                                % if infinibox.supported:
                                    <span class="managed-by-openstack hidden">managed by OpenStack</span>
                                    <a class="infinibox operations register-button btn btn-blue hidden">REGISTER HOST</a>
                                    <span class="not-registered hidden">No volumes can be created until host is registered with this system.</span>
                                    <div class="infinibox operations action-container hidden">
                                        <img class="infinibox action-toggler" src="/static/images/action-icon-small.png" />
                                        <div class="action-slider-wrapper hidden">
                                            <span class="action-slider">
                                                <a class="btn btn-red map_popup ${infinibox.serial}" href="#">MAP</a>
                                                <a class="btn btn-blue create_new_popup ${infinibox.serial}" href="#">CREATE</a>
                                              </span>
                                        </div>
                                    </div>
                                % else:
                                    <span class="unsupported">Host PowerTools v${powertools_version} does not support InfiniBox v${infinibox.version}</span>
                                % endif
                            </div>
                        </span>
                        <div class="infinibox inventory hidden">
                            <table class="infinibox table">
                                <thead>
                                    <tr>
                                        % for column in table_columns:
                                        <th>${column}</th>
                                        % endfor
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            % endfor
        % endif
