@echo off
setlocal EnableDelayedExpansion
echo cd "%~dp0"
cd /d "%~dp0"
echo running %*

for %%d in ("%*") do (
    echo testing %%d
    call :do_device %%d
)

call :do_command sg_scan --scsi
for /f usebackq %%d in (`sg_scan.exe`) do (
    echo %%d | findstr PD
    if errorlevel 1 exit /b
    echo testing %%d
    call :do_device %%d
)

exit /b

:do_device
call :do_command sg_inq -v %1
call :do_command sg_inq --raw %1
call :do_command sg_turs %1
call :do_command sg_rtpg -v %1
call :do_command sg_rtpg --raw %1
call :do_command sg_stpg -v %1
call :do_command sg_stpg --raw %1
for %%p in (0,80,83) do (
    call :do_command sg_inq -v --page=0x%%p %1
    call :do_command sg_inq --raw --page=0x%%p %1
)
for %%s in %(0,1,2) do (
    call :do_command sg_luns -v --select=%%s %1
    call :do_command sg_luns --raw --select=%%s %1
)
exit /b

:do_command
echo ----------------
echo %*
echo ----------------
%* 2>&1
echo.
exit /b
