function do_command {
    echo "----------------"
    echo $1
    echo "----------------"
    eval $1 2>&1
    echo
}


function do_device {
    do_command "sg_inq -v $1"
    do_command "sg_inq --raw $1"
    do_command "sg_turs $1"
    do_command "sg_rtpg -v $1"
    do_command "sg_rtpg --raw $1"
    do_command "sg_stpg -v $1"
    do_command "sg_stpg --raw $1"
    for page in $(echo 00 80 83); do
        do_command "sg_inq -v --page=0x$page $1"
        do_command "sg_inq --raw --page=0x$page $1"
    done
    for select in $(echo 0 1 2); do
        do_command "sg_luns -v --select=$select $1"
        do_command "sg_luns --raw --select=$select $1"
    done

}

do_command "sg_map -x"
for dev in $(find /dev/sg*) $(find /dev/mapper/*); do
    do_device "$dev"
done
