
# pylint: disable-all

def setUp():
    from infi.vendata.smock import HostMock
    from capacity import GB
    mock = HostMock()
    inventory = mock.get_inventory()
    inventory.add_initiator(), inventory.add_initiator()
    system = inventory.add_infinibox(10)
    pool = system.pools.create(name='default')
    system.volumes.create(pool=pool, name="foo", size=2 * GB)
    inventory.zone_with_system__best_practices(system)
    return mock
